zeitgeist (1.0.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python3-zeitgeist package as the binding is not compatible with
    python3, for python3, GIR binding should be used instead. Reintroduce the
    python2 binding for now as we still have one rdependency (Closes: #891615)
  * Avoid installing files in /usr/lib/zeitgeist/zeitgeist/, move them one
    level up to /usr/lib/zeitgeist/ instead
  * Do not make the metapackge pull python-zeitgeist, this is not needed for
    normal operations

 -- Laurent Bigonville <bigon@debian.org>  Sun, 11 Mar 2018 19:54:01 +0100

zeitgeist (1.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release
  * debian/gbp.conf: Use pristine-tar
  * Switch python-zeitgeist to python3-zeitgeist (Closes: #781909)
  * Drop 0001-Fix-placeholder-in-systemd-service-template.patch: Applied

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 24 Feb 2018 12:35:40 -0500

zeitgeist (1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python-zeitgeist package (Closes: #781909)
  * Use Launchpad site as homepage (LP: #1744536)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 04 Feb 2018 17:48:19 -0500

zeitgeist (1.0-0.1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Non-maintainer upload.
  * New upstream release (Closes: #873868) (LP: #1665902)
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1
  * Convert to automatic dbgsym package
  * debian/control:
    - Drop Build-Depends on intltool
    - Have library suggest instead of recommend zeitgeist
  * debian/rules:
    - Don't ignore test failures
    - Use dh_install --fail-missing instead of --skip-missing
  * Drop patches applied in new release
    - Give-the-D-Bus-service-files-the-correct-names.patch
    - Add-a-systemd-user-service-for-each-D-Bus-session-se.patch
    - fix_autocomplete.diff
    - fix-test-crash.patch
    - thread-default-context.patch

  [ Iain Lane ]
  * Fix debian/patches/startup-database-vacuum.patch
    - The vacuum mode is now included upstream
    - Move the wrapper script to a file in debian/ and install that
    - Call the wrapper and allow it to fail so that zeitgeist starts for new
      users (LP: #1666495)
  * debian/patches/0001-Fix-placeholder-in-systemd-service-template.patch:
    Cherry-pick. Fix substitution in systemd unit file.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 01 Oct 2017 17:00:04 -0400

zeitgeist (0.9.16-0.2) unstable; urgency=medium

  [ Andrew Shadura ]
  * Non-maintainer upload.
  * Add Vcs-* fields.
  * Add gbp.conf.
  * Merge changes from Ubuntu:
    - Make libzeitgeist-2.0-0 recommend zeitgeist-core over zeitgeist to stop
      python-zeitgeist being unnecessarily pulled into the default images
      (LP: #1440373)
    - Depend on python-gobject-2 and python-gi instead of python-gobject,
      because it's a transitional package (LP: #778054)
    - Skip failing tests.
    - Use dh-autoreconf.
    - Fix autocomplete.
    - Perform VACUUM operation on activity DB on startup (LP: #919801).
    - Ensure the log mainloop uses the current thread's context
      when waiting (LP: #1584849).

  [ Simon McVittie ]
  * Use the conventional names for D-Bus session services.
  * Add a systemd user service for each D-Bus session service.

  [ Héctor Orón Martínez ]
  * Replace raptor-utils build-dep with raptor2-utils.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 06 Oct 2016 12:00:08 +0200

zeitgeist (0.9.16-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #799180)
    - Fix FTBFS with GCC-5 (Closes: 778192)
    - Adjust the build-dependencies
    - d/p/0001-Fix-unit-tests.patch,
      d/p/0001-WhereClause-Fix-array-length-to-work-with-string.joi.patch,
      d/p/0001-libzeitgeist-Add-a-missing-dependency-on-gio-2.0.patch:
      Dropped, merged upstream
  * Bump Standards-Version to 3.9.6 (no further changes)
  * Replace hardcoded Pre-Depends by ${misc:Pre-Depends} substvars
  * Make gir1.2-zeitgeist-2.0 package multi-arch: same
  * Explicitly set libexecdir to /usr/lib/zeitgeist (Closes: #748762)
  * Re-enable the tests but make them non-fatal
  * d/p/fix-test-crash.patch: Fix tests from crashing with GCC-5, from
    upstream

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 Oct 2015 13:20:35 +0200

zeitgeist (0.9.14-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * 0001-WhereClause-Fix-array-length-to-work-with-string.joi.patch:
    Cherry-pick commit to fix SQL errors when built with vala-0.24.
  * 0001-Fix-unit-tests.patch: Cherry-pick another patch to fix a segfault
    when optimising variants. (Closes: #752482)

 -- Iain Lane <laney@debian.org>  Tue, 24 Jun 2014 18:07:28 +0100

zeitgeist (0.9.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 0001-libzeitgeist-Add-a-missing-dependency-on-gio-2.0.patch: Cherry-pick
    commit from to fix a missing dependency on gio-2.0 in the vapi file.
    (Closes: #742483)

 -- Iain Lane <laney@debian.org>  Mon, 23 Jun 2014 11:46:22 +0100

zeitgeist (0.9.14-2) unstable; urgency=low

  * Fix installation of bash completion (Closes: #727089, #727151).
  * Fix section of libzeitgeist-2.0-0; thanks to Justin Rye (Closes: #727166).
  * Build documentation from source; thanks to Paul Tagliamonte.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 25 Oct 2013 22:27:25 +0200

zeitgeist (0.9.14-1) unstable; urgency=low

  * New upstream release (Closes: #714662):
     - Now includes C++/Vala library (libzeitgeist2).
     - Now includes zeitgeist-datahub.
     - Several bug fixes and performance improvements.
  * debian/control:
     - Bump Vala dependency to 0.20 (Closes: #709733).
     - zeitgeist-core no longer depends on python-zeitgeist (the zeitgeist
       meta-package still does, at least for now).
     - Add zeitgeist-datahub (with updated description) and libzeitgeist*.
     - Add/adjust others dependencies as needed for libzeitgeist2, etc.
     - Drop Vcs- lines.
  * debian/*.install:
     - Add .install files for datahub and libzeitgeist2.
  * debian/watch:
     - Update for new Launchpad URLs and .xz tarballs.
  * debian/copyright:
     - Update and add entries for new files.
  * Add libzeitgeist-2.0-0.symbols (updated from libzeitgest source package).
  * Bump Standards-Versions to 3.9.4 and debian/compat to 9.
  * Thanks to Robert Ancell, Rico Tzschichholz, Jeremy Bicha and
    Robert Park for their work maintaining this package in Ubuntu.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 14 Oct 2013 21:21:49 +0200

zeitgeist (0.9.0.1-1) unstable; urgency=low

  * New upstream release:
     - Fixed FindRelatedEvents.
     - Added support for upgrading from schema version 3 (LP: #986191).
     - Fixed two segmentation faults in FTS (LP: #954171).
     - Make sure Xapian is closed before releasing the bus name (LP: #989657).
  * Update debian/copyright.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 25 May 2012 19:48:37 +0200

zeitgeist (0.9.0-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
     - Updated MIME-type mappings.
     - Added a query result size limit.
     - Enhanced database/index corruption recovery.
     - Don't index events from Ubuntu One.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 10 Apr 2012 15:44:19 +0200

zeitgeist (0.8.99~beta1-1) experimental; urgency=low

  * New upstream release. Some of the changes are:
     - Bug fixes in Zeitgeist and FTS++.
     - Added SearchWithRelevancies D-Bus method to FTS.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 20 Mar 2012 16:10:57 +0100

zeitgeist (0.8.99~alpha3-1) experimental; urgency=low

  * New upstream release. Some of the changes are:
     - The FTS module in Python has been replaced with a C/C++ implementation.
     - Events are pre-processed before they are checked against the blacklist.
     - Fixed reconnection in Python API to avoid duplicate notifications.
     - Support for guessing from more MIME-types and schemas.
  * debian/control:
     - Add libxapian-dev and libdee-dev to Build-Depends.
     - Fix zeitgeist-core description.
  * debian/zeitgeist-core.install, debian/python-zeitgeist.install:
     - Update for FTS.
  * Drop debian/patches/pragma-exclusive.diff (included upstream).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 14 Feb 2012 18:04:14 +0100

zeitgeist (0.8.99~alpha2-2) experimental; urgency=low

  * debian/patches/pragma-exclusive.diff (src/sql-schema.vala):
     - Revert locking_mode from EXCLUSIVE to NORMAL since it creates problems
       with FTS.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 30 Jan 2012 20:02:06 +0100

zeitgeist (0.8.99~alpha2-1) experimental; urgency=low

  * New upstream release. Some of the changes are:
    - Enhanced error handling, reporting and recovery (LP: #848710,
      LP: #743857).
    - The database file is now only readable by the user (LP: #910273).
    - GVFS usage in StorageMonitor has been disabled for now (LP: #905898).
    - Fixed a problem where the FTS extension could block the DB (LP: #919111).
    - Debug messages are no longer displayed by default (LP: #906451).
  * debian/rules:
    - Do not install the raw .trig files.
  * debian/zeitgeist-core.bash_completion:
    - Change source directory from extra/ to data/.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 27 Jan 2012 15:56:06 +0100

zeitgeist (0.8.99~alpha1-1) experimental; urgency=low

  * Upload the new Vala port of Zeitgeist to experimental.
  * debian/*:
     - Updated for the Vala version.
     - Added a python-zeitgeist package.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 30 Nov 2011 19:12:55 +0100

zeitgeist (0.8.2-1) unstable; urgency=low

  * New upstream release:
     - Storage Monitor: Add support for Network Manager 0.9 (LP: #841764).
     - Allow "*" in subject_text (interpreted as plain text).
     - Remove input size limitation from DeleteEvents.
     - Python: Fix the Event constructor to support copying Event instances.
     - Python: Correctly specify the D-Bus interface when introspecting.
  * Update debian/copyright. 

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 21 Sep 2011 20:09:07 +0200

zeitgeist (0.8.1.1-1) unstable; urgency=low

  * New upstream release:
     - Fix problem when replacing an existing Zeitgeist instance (LP: #809569).
     - Fix possible crash when zeitgeist-datahub isn't available (LP: #791392).
     - Python API: fix regression affecting get_version and get_extensions
       (Closes: #634306).
     - Added Esperanto translation by Kristjan Schmidt (Closes: #633421).
  * Switch from dh_pysupport to dh_python2.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 22 Jul 2011 23:26:21 +0200

zeitgeist (0.8.1-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
     - Database backup before attempting schema upgrades (LP: #660307).
     - Ensure the engine doesn't attempt to close twice in a row (LP: #793714).
     - Improve the Python API's behavior when Zeitgeist is restarted.
     - Added support for registering custom Event and Subject subclasses with
       ZeitgeistClient (LP: #799199), and added some new API methods.
  * debian/control:
     - Fix typo in the description (hold -> held). Thanks to Travis Reddell.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Thu, 07 Jul 2011 16:52:39 +0200

zeitgeist (0.8.0-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
   - Fixed secondary sorting by timestamp for most ResultTypes (LP: #772041).
   - Enabled filtering by availability in FindEvents.
   - Added event origin and current_uri properties (LP: #425258, ...) with
     corresponding ResultTypes and MoveEvent handling (LP: #602211).
   - Fixed inconsistencies caused by the internal cache not being updated when
     events were deleted (LP: #598666).
   - Added a Storage Monitor extension which tracks network connectivity and
     removable devices (LP: #489194).
   - Fixed datahub launching to avoid zombie processes (LP: #739780).
   - Replaced the Blacklist extension giving it a more capable API
     (LP: #612344).
   - Simplified log output (LP: #744818).
   - Fixed bug in the connection (to Zeitgeist) recovery code (LP: #771970).
  * debian/control:
   - Bump Standards-Version to 3.9.2.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sat, 07 May 2011 20:45:57 +0200

zeitgeist (0.7.1-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
     - Expose property information through D-Bus instrospection.
     - Expose DataSourceRegistry's enabled status in a callback.
     - Python API: Reinstall all active callbacks upon daemon restart.
     - Fix a (harmless) race condition requesting the bus name (LP: #732015).
     - Added new event interpretations (AcceptEvent, DenyEvent, ExpireEvent).
     - Compatibility with future 0.8 release.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sun, 20 Mar 2011 16:11:48 +0100

zeitgeist (0.7-1) unstable; urgency=low

  * New upstream release. Some of the changes are:
     - Various performance improvements (speed, reduced I/O, etc).
     - Enhancements to the extensions system (eg. feature to ask which
       extensions are active).
     - Various bug fixes (eg. fixed find_event_for_template Python API method).
     - Added new mimetype mappings.
  * Updated debian/copyright and debian/zeitgeist-core.install.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sat, 22 Jan 2011 14:15:38 +0100

zeitgeist (0.6-1) ppa; urgency=low

  * New upstream release. Some of the changes are:
     - Speed improvements for several queries, mainly through SQL optimization.
     - Several new ResultTypes: *SubjectInterpretation and *Mimetype.
     - FindRelatedUris uses a new algorithm.
  * Removed zeitgeist-datahub, it is now a separate project (and tarball).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 03 Dec 2010 17:52:57 +0100

zeitgeist (0.5.2-1) ppa; urgency=low

  * New upstream release. Some relevant changes are:
     - Initialize ZeitgeistEngine after RemoteInterface, so that --replace
       does its job before the main engine and extensions start (LP: #614315).
     - Extensions and the database connection are now shutdown gracefully when
       the Zeitgeist daemon is asked to stop over D-Bus or receives a SIGHUP.
     - Catch any exceptions trying to notify a monitor of changes and redirect
       them to the error log.
     - Fixed the LeastRecentActor sorting type and introduced OldestActor to
       replace what it did before (LP: #641968, #646124).
     - Added a new helper module to the Python API: zeitgeist.mimetypes
       (LP: #586524):
     - Fixed zeitgeist-datahub to log events from OpenOffice.org (LP: #646724).
     - Several performance fixes and improvements.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 26 Sep 2010 14:22:56 +0200

zeitgeist (0.5.0-1) experimental; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * New upstream release. Some of the changes are:
     - Event subjects are now joined by logical AND instead of OR (LP: #59299).
     - Extensions: hooks have bene renamed and some new ones have been added
       (LP: #592599, #604747).
     - There are two new ResultTypes: MostRecentOrigin and MostPopularOrigin.
  * debian/control:
     - Add Vcs- fields.
  * debian/copyright:
     - Update copyright information.
  * debian/source/format:
     - Switch package format to 3.0 (quilt).

  [ Didier Roche ]
  * debian/control:
     - Bump Standards-Version to 3.9.0.
  * debian/zeitgeist-core.install:
     - Distribute the .pc file as well.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 06 Sep 2010 00:16:13 +0200

zeitgeist (0.4.0+bzr20100718-1) unstable; urgency=low

  * New upstream release:
     - Added support for negation ("!<text>") and right wildcards ("<text>*")
       to many query fields. Also added type expansion (eg.: Image matches
       VectorImage and RasterImage).
     - Fixed DeleteEvents to work with arbitrarily huge amounts of IDs.
     - Several ontology changes (renamed interpretation values). Support for
       automatic database format upgrades.
     - Other fixes, improvements, new API functionalities and translations.
  * Notable changes backported from bzr:
     - Extensions found in the extensions directory are now automatically loaded.
     - Let the GtkRecentlyUsed data-source ignore any exceptions while trying to
       parse .desktop files (LP: #523761).
  * Update debian/control (add raptor-utils and python-rdflib to the build
    dependencies) and debian/zeitgeist-core.install.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Fri, 18 Jun 2010 22:15:38 +0200

zeitgeist (0.3.3.1-1) unstable; urgency=low

  * New upstream release:
     - Added new ReturnTypes ({Most,Least}{PopularActor,RecentActor}).
     - Added DataSourceRegistry extension and support for extensions
       identifying callers (when methods are executed through D-Bus).
     - Overhauled FindRelatedUris for better results and improved performance.
     - Several other changes and bug fixes (LP: #549567, #531793).
  * debian/control, debian/rules:
     - Get ride of CDBS (switch to dh7).
     - Bump Standards-Version to 3.8.4.
  * Add debian/source/format file with content "1.0".

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 20 Apr 2010 14:38:53 +0200

zeitgeist (0.3.2-1) unstable; urgency=low

  * New upstream release:
     - Add FindEvents, optimized shorthand for GetEvents(FindEventIds(...)).
     - Fix DeleteEvents and make it ignore bad requests.
     - Fix GetEvents not to raise an exception when called with an empty list.
     - ZeitgeistClient.get_version() now returns a Python list.
     - Some code refactoring, documentation changes and other little fixes.
  * Delete debian/zeitgeist-daemon.bash_completion, as it's now in the tarball,
    and update debian/rules to reflect this change.
  * debian/control.in:
     - Change Homepage field to zeitgeist-project.com.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 20 Jan 2010 00:23:48 +0100

zeitgeist (0.3.1-1) unstable; urgency=low

  * First upload to enter Debian (Closes: #529067).
  * debian/copyright:
     - Mention that some copyright headers in the tarball are wrong.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Tue, 01 Dec 2009 15:12:39 +0100

zeitgeist (0.3.1-0ubuntu1) lucid; urgency=low

  * New upstream release:
     - Event subscription (monitoring) support.
     - Blacklist extension.
     - Experimental FindRelatedUris method (API for it may change).
     - Other features, bug fixes and better documentation.
  * Update debian/copyright.
  * debian/{rules,zeitgeist-core.install,zeitgeist-daemon.bash_completion}:
     - Add bash-completion for the "zeitgeist-daemon" command.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Sun, 10 Jan 2010 23:48:48 +0100

zeitgeist (0.2.1-0ubuntu2) karmic; urgency=low

  * debian/control{,.in}:
     - Degraded python-storm from Depends to Suggests, as since 0.2.1
       Storm is no longer used by default.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Thu, 15 Oct 2009 17:01:24 +0200

zeitgeist (0.2.1-0ubuntu1) karmic; urgency=low

  * New upstream release.
     - Update dependencies.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Mon, 17 Aug 2009 00:12:51 +0200

zeitgeist (0.2.0+dfsg1-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #377634) (Closes: #529067).
  * Tarball repackaged to remove doc/dbus/build, which was included accidentally
    and has files with unclear licensing.

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Wed, 08 Jul 2009 00:34:59 +0200
